Image::ExifTool::BuildTagLookup(3p)

NAME
Image::ExifTool::BuildTagLookup - Build ExifTool tag lookup tables

DESCRIPTION
This module is used to generate the tag lookup tables in Image::ExifTool::TagLookup.pm and tag name documentation in Image::ExifTool::TagNames.pod, as well as HTML tag name documentation. It is used before each new ExifTool release to update the lookup tables and documentation.

SYNOPSIS
  use Image::ExifTool::BuildTagLookup;

  $builder = new Image::ExifTool::BuildTagLookup;

  $ok = $builder->WriteTagLookup('lib/Image/ExifTool/TagLookup.pm');

  $ok = $builder->WriteTagNames('lib/Image/ExifTool/TagNames.pod','html');

MEMBER VARIABLES

PRESERVE_DATE
    Flag to preserve "Last revised" date in HTML files. Set before calling WriteTagNames().

COUNT
    Reference to hash containing counting statistics. Keys are the descriptions, and values are the numerical counts. Valid after BuildTagLookup object is created, but additional statistics are added by WriteTagNames().

AUTHOR
Copyright 2003-2008, Phil Harvey (phil at owl.phy.queensu.ca)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Image::ExifTool(3pm), Image::ExifTool::TagLookup(3pm), Image::ExifTool::TagNames(3pm)